@import url('https://fonts.googleapis.com/css?family=Montserrat:300,400,400i,800,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Montserrat;
}

body {
    background: white;
    min-width: 300px;
    min-height: 100vh;
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: center;
}

h1{
    font-size: 3em;
    text-align: center;
    width: 80%;
}

h2{
    width: 80%;
    font-size: 1.5em;
    margin-top: 1.5em;
    text-align: center;
}

article{
    max-width: 1200px;
    width: 100%;
    min-height: 100vh;
}

.landingPage {
    width: 100%;
    margin: 0 auto;
    position: relative;
    max-width: 1200px;
    overflow: hidden;
    max-height: calc(100vh - 50px);
    min-height: 235px;
    min-width: 350px;
}

.landingPage video {
    width: 100%;
}

svg {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
}

svg text {
    font-family: Biko, sans-serif;
    font-weight: 700;
    text-transform: uppercase;
    font-size: 48px;
    margin: 0 auto;
}

svg rect {
    fill: white;
}

svg > rect {
    -webkit-mask: url(#mask);
    mask: url(#mask);
    mask-position: center;
    -webkit-mask-position: center;
}

.subtitle {
    font-size: 22px;
    text-align: center;
    color: lightgray;
    animation: showScrollAnimation 1s forwards reverse;
    animation-delay: 3s;
}
canvas{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}
.srollDownIcon {
    transform: translate(-50%, -50%);
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 30px;
    height: 50px;
    border: 2px solid lightgray;
    border-radius: 50px;
    cursor: pointer;
    animation: showScrollAnimation 2s forwards;
    animation-delay: 4s;
    opacity: 0;
}
.srollDownIcon:before {
    content: '';
    position: absolute;
    top: 8px;
    left: 50%;
    transform: translate(-50%, 0);
    width: 2px;
    height: 10px;
    background-color: lightgray;
    animation: scrollDown 2s infinite;
}
#aboutMe{
    height: 450px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-around;
    align-items: center;
    min-height: auto;
}
#aboutMe > *{
    display: flex;
    width: 45%;
}
#aboutMe > .left{
    flex-flow: column nowrap;
    align-items: center;
}
#aboutMe .oneRow{
    margin-top: 0.75em;
}
#aboutMe ul{
    list-style: none;
}
#aboutMe li{
    margin-top: 0.5em;
}
#aboutMe li:before{
    margin-right: 0.3em;
    content: "...";
}
#aboutMe > .right{
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}
#aboutMe > .right > img{
    width: 100%;
    max-width: 325px;
    max-height: 325px;
    border: 5px solid transparent;
    -moz-border-image: -moz-linear-gradient(top right, #3acfd5 0%, #3a4ed5 100%);
    -webkit-border-image: -webkit-linear-gradient(top right, #3acfd5 0%, #3a4ed5 100%);
    border-image: linear-gradient(to bottom left, #3acfd5 0%, #3a4ed5 100%);
    border-image-slice: 1;
}
#mySkills{
    display: flex;
    flex-flow: column wrap;
    align-items: center;
    justify-content: center;
}
.oneSkill{
    height: 2em;
    width: 95%;
    max-width: 500px;
    border: 1px solid black;
    border-radius: 1em;
    margin: 1em 0;
    cursor: default;
    background: lightgrey;
}
.oneSkill .inner{
    height: 100%;
    border-radius: 1em;
    text-align: center;
    line-height: 2em;
    font-weight: bold;
}
.inner.java{
    width: 85%;
    background: #FF8C00;
    color: #FFF;
}
.inner.java:hover{
    color: #FF8C00;
    background: #FFF;
}
.inner.html{
    width: 95%;
    background: #E44D26;
    color: #EBEBEB;
}
.inner.html:hover{
    background: #EBEBEB;
    color: #E44D26;
}
.inner.css{
    width: 95%;
    background: #2565AE;
    color: #D5F3FE;
}
.inner.css:hover{
    background: #D5F3FE;
    color: #2565AE;
}
.inner.javascript{
    width: 90%;
    background: #F0DB4F;
    color: #323330;
}
.inner.javascript:hover{
    background: #323330;
    color: #F0DB4F;
}
.inner.csharp{
    width: 50%;
    background: #0B72FF;
    color: #D5F3FE;
}
.inner.csharp:hover{
    background: #D5F3FE;
    color: #0B72FF;
}
.otherTechnologies span:hover{
    color: #2565AE;
    cursor: default;
}
.otherTechnologies {
    width: 80%;
    text-align: center;
}
#myProjects{
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
}
#myProjects h1{
    margin-bottom: 1em;
    width: 90%;
    text-align: center;
}
#myProjects h2{
    text-align: left;
    margin-bottom: 0.5em;
}
.project{
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
    width: 90%;
    margin-bottom: 1em;
}
.project > img, .project > div{
    width: 40%;
    height: auto;
}
.contact{
    display: flex;
    width: 90%;
    flex-flow: row wrap;
    justify-content: flex-end;
}
.contact img{
    height: 1.5em;
    width: auto;
    margin: 1em 0.5em;
    border-radius: 100%;
}
@keyframes hideText {
    0%{
        opacity: 1;
    }

    100%{
        opacity: 0;
    }
}
@keyframes showScrollAnimation {
    0%{
        opacity: 0;
    }

    100%{
        opacity: 1;
    }
}
@keyframes scrollDown {
    0% {
        opacity: 0;
        transform: translate(-50%, 0);
    }

    30% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        transform: translate(-50%, 22px);
    }
}

@media only screen and (max-width: 1080px){
    .project{
        flex-flow: column;
        justify-content: center;
        align-items: center;
    }

    .project > img, .project > div{
        width: 80%;
    }
    .project > div{
        order: -1;
        margin-bottom: 1em;
    }

}
@media only screen and (max-width: 950px){
    #aboutMe{
        flex-flow: column wrap;
        height: auto;
    }
    #aboutMe > *{
        width: 90%;
        min-width: 300px;
    }
    #aboutMe > .right{
        order: -1;
        margin-bottom: 5em;
    }
}
